<html>
<head>
<title>OGRE: Ogre::IOException Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1IOException.html">IOException</a></div>
<h1>Ogre::IOException Class Reference</h1><!-- doxytag: class="Ogre::IOException" --><!-- doxytag: inherits="Ogre::Exception" --><code>#include &lt;<a class="el" href="OgreException_8h-source.html">OgreException.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::IOException:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1IOException-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b">ExceptionCodes</a> { <br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29baeb75efe079b550f380d62d9a0954e71">ERR_CANNOT_WRITE_TO_FILE</a>, 
<a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b9d61f90f76dd3e119d608876ea5f7957">ERR_INVALID_STATE</a>, 
<a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b359c10b8abe9abf39f84550a903e4698">ERR_INVALIDPARAMS</a>, 
<a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b55da7c9771a98e7c96c3900028f02703">ERR_RENDERINGAPI_ERROR</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b932168f4c4ae1a90391233de8a21ab1a">ERR_DUPLICATE_ITEM</a>, 
<a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b9f57f8f4aefb7fae5fcd69fe155e7003">ERR_ITEM_NOT_FOUND</a>, 
<a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b65ef64423bae408d90e0af0166bac152">ERR_FILE_NOT_FOUND</a>, 
<a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b946e7d147a09d8db65b6143d1d348c99">ERR_INTERNAL_ERROR</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29be8c10c1472a5d4005d1c25adb5e2764d">ERR_RT_ASSERTION_FAILED</a>, 
<a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b9e2cd2d2436678236e339e6a42887090">ERR_NOT_IMPLEMENTED</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Static definitions of error codes.  <a href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IOException.html#1b355fa4e08301d62ca6dc2686eed768">IOException</a> (int <a class="el" href="classOgre_1_1Exception.html#64ee5688b9849cdf716b3d296f9725dc">number</a>, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;<a class="el" href="classOgre_1_1Exception.html#54edba4b99e73bf953b25888ee57b008">description</a>, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;<a class="el" href="classOgre_1_1Exception.html#224971e0792a4fa0a718107b6e9074fe">source</a>, const char *<a class="el" href="classOgre_1_1Exception.html#976410f50fa11be9550720b240987cf3">file</a>, long <a class="el" href="classOgre_1_1Exception.html#37322c92e46fa70fb703424f3840a68c">line</a>)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a5801b3e0c61214cb96bdea425978bd0">getFullDescription</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a string with the full description of this error.  <a href="#a5801b3e0c61214cb96bdea425978bd0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#4e1b4d70efe19717c12ed679ff96279a">getNumber</a> (void) const   throw ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the error code.  <a href="#4e1b4d70efe19717c12ed679ff96279a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#01188c597faf46e2637999aa205c1862">getSource</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the source function.  <a href="#01188c597faf46e2637999aa205c1862"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#ba00713fb4020d42107dafa6fd89fa57">getFile</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets source file name.  <a href="#ba00713fb4020d42107dafa6fd89fa57"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#2d100096583c7973bbf5a1276a49ea4a">getLine</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets line number.  <a href="#2d100096583c7973bbf5a1276a49ea4a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#826483325a2bc7fb7a0950cf127dab62">getDescription</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a string with only the 'description' field of this exception.  <a href="#826483325a2bc7fb7a0950cf127dab62"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#0ad3d38bf239293372eb7512281182df">what</a> () const   throw ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override std::exception::what.  <a href="#0ad3d38bf239293372eb7512281182df"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#37322c92e46fa70fb703424f3840a68c">line</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#64ee5688b9849cdf716b3d296f9725dc">number</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#d486aacc5f55a6bfa17248d2141270ec">typeName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#54edba4b99e73bf953b25888ee57b008">description</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#224971e0792a4fa0a718107b6e9074fe">source</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#976410f50fa11be9550720b240987cf3">file</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#16d671f40618b5ca451a3bcb6c0004f8">fullDesc</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00201">201</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29b"></a><!-- doxytag: member="Ogre::IOException::ExceptionCodes" ref="9bdf9b8a0a83b95818d676848beaa29b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b">Ogre::Exception::ExceptionCodes</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Static definitions of error codes. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29baeb75efe079b550f380d62d9a0954e71"></a><!-- doxytag: member="ERR_CANNOT_WRITE_TO_FILE" ref="9bdf9b8a0a83b95818d676848beaa29baeb75efe079b550f380d62d9a0954e71" args="" -->ERR_CANNOT_WRITE_TO_FILE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29b9d61f90f76dd3e119d608876ea5f7957"></a><!-- doxytag: member="ERR_INVALID_STATE" ref="9bdf9b8a0a83b95818d676848beaa29b9d61f90f76dd3e119d608876ea5f7957" args="" -->ERR_INVALID_STATE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29b359c10b8abe9abf39f84550a903e4698"></a><!-- doxytag: member="ERR_INVALIDPARAMS" ref="9bdf9b8a0a83b95818d676848beaa29b359c10b8abe9abf39f84550a903e4698" args="" -->ERR_INVALIDPARAMS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29b55da7c9771a98e7c96c3900028f02703"></a><!-- doxytag: member="ERR_RENDERINGAPI_ERROR" ref="9bdf9b8a0a83b95818d676848beaa29b55da7c9771a98e7c96c3900028f02703" args="" -->ERR_RENDERINGAPI_ERROR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29b932168f4c4ae1a90391233de8a21ab1a"></a><!-- doxytag: member="ERR_DUPLICATE_ITEM" ref="9bdf9b8a0a83b95818d676848beaa29b932168f4c4ae1a90391233de8a21ab1a" args="" -->ERR_DUPLICATE_ITEM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29b9f57f8f4aefb7fae5fcd69fe155e7003"></a><!-- doxytag: member="ERR_ITEM_NOT_FOUND" ref="9bdf9b8a0a83b95818d676848beaa29b9f57f8f4aefb7fae5fcd69fe155e7003" args="" -->ERR_ITEM_NOT_FOUND</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29b65ef64423bae408d90e0af0166bac152"></a><!-- doxytag: member="ERR_FILE_NOT_FOUND" ref="9bdf9b8a0a83b95818d676848beaa29b65ef64423bae408d90e0af0166bac152" args="" -->ERR_FILE_NOT_FOUND</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29b946e7d147a09d8db65b6143d1d348c99"></a><!-- doxytag: member="ERR_INTERNAL_ERROR" ref="9bdf9b8a0a83b95818d676848beaa29b946e7d147a09d8db65b6143d1d348c99" args="" -->ERR_INTERNAL_ERROR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29be8c10c1472a5d4005d1c25adb5e2764d"></a><!-- doxytag: member="ERR_RT_ASSERTION_FAILED" ref="9bdf9b8a0a83b95818d676848beaa29be8c10c1472a5d4005d1c25adb5e2764d" args="" -->ERR_RT_ASSERTION_FAILED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="9bdf9b8a0a83b95818d676848beaa29b9e2cd2d2436678236e339e6a42887090"></a><!-- doxytag: member="ERR_NOT_IMPLEMENTED" ref="9bdf9b8a0a83b95818d676848beaa29b9e2cd2d2436678236e339e6a42887090" args="" -->ERR_NOT_IMPLEMENTED</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00102">102</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="1b355fa4e08301d62ca6dc2686eed768"></a><!-- doxytag: member="Ogre::IOException::IOException" ref="1b355fa4e08301d62ca6dc2686eed768" args="(int number, const String &amp;description, const String &amp;source, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::IOException::IOException           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>number</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>description</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&nbsp;</td>
          <td class="paramname"> <em>line</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00204">204</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="a5801b3e0c61214cb96bdea425978bd0"></a><!-- doxytag: member="Ogre::IOException::getFullDescription" ref="a5801b3e0c61214cb96bdea425978bd0" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Exception::getFullDescription           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a string with the full description of this error. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The description contains the error number, the description supplied by the thrower, what routine threw the exception, and will also supply extra platform-specific information where applicable. For example - in the case of a rendering library error, the description of the error will include both the place in which OGRE found the problem, and a text description from the 3D rendering library, if available. </dd></dl>

</div>
</div><p>
<a class="anchor" name="4e1b4d70efe19717c12ed679ff96279a"></a><!-- doxytag: member="Ogre::IOException::getNumber" ref="4e1b4d70efe19717c12ed679ff96279a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int Ogre::Exception::getNumber           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const  throw ()<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the error code. 
<p>

</div>
</div><p>
<a class="anchor" name="01188c597faf46e2637999aa205c1862"></a><!-- doxytag: member="Ogre::IOException::getSource" ref="01188c597faf46e2637999aa205c1862" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Exception::getSource           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the source function. 
<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00152">152</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba00713fb4020d42107dafa6fd89fa57"></a><!-- doxytag: member="Ogre::IOException::getFile" ref="ba00713fb4020d42107dafa6fd89fa57" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Exception::getFile           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets source file name. 
<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00156">156</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2d100096583c7973bbf5a1276a49ea4a"></a><!-- doxytag: member="Ogre::IOException::getLine" ref="2d100096583c7973bbf5a1276a49ea4a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual long Ogre::Exception::getLine           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets line number. 
<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00160">160</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="826483325a2bc7fb7a0950cf127dab62"></a><!-- doxytag: member="Ogre::IOException::getDescription" ref="826483325a2bc7fb7a0950cf127dab62" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Exception::getDescription           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a string with only the 'description' field of this exception. 
<p>
Use getFullDescriptionto get a full description of the error including line number, error number and what function threw the exception. 
<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00166">166</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0ad3d38bf239293372eb7512281182df"></a><!-- doxytag: member="Ogre::IOException::what" ref="0ad3d38bf239293372eb7512281182df" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* Ogre::Exception::what           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const  throw ()<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override std::exception::what. 
<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00169">169</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="37322c92e46fa70fb703424f3840a68c"></a><!-- doxytag: member="Ogre::IOException::line" ref="37322c92e46fa70fb703424f3840a68c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long <a class="el" href="classOgre_1_1Exception.html#37322c92e46fa70fb703424f3840a68c">Ogre::Exception::line</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00089">89</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="64ee5688b9849cdf716b3d296f9725dc"></a><!-- doxytag: member="Ogre::IOException::number" ref="64ee5688b9849cdf716b3d296f9725dc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1Exception.html#64ee5688b9849cdf716b3d296f9725dc">Ogre::Exception::number</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00090">90</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d486aacc5f55a6bfa17248d2141270ec"></a><!-- doxytag: member="Ogre::IOException::typeName" ref="d486aacc5f55a6bfa17248d2141270ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Exception.html#d486aacc5f55a6bfa17248d2141270ec">Ogre::Exception::typeName</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00091">91</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="54edba4b99e73bf953b25888ee57b008"></a><!-- doxytag: member="Ogre::IOException::description" ref="54edba4b99e73bf953b25888ee57b008" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Exception.html#54edba4b99e73bf953b25888ee57b008">Ogre::Exception::description</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00092">92</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="224971e0792a4fa0a718107b6e9074fe"></a><!-- doxytag: member="Ogre::IOException::source" ref="224971e0792a4fa0a718107b6e9074fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Exception.html#224971e0792a4fa0a718107b6e9074fe">Ogre::Exception::source</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00093">93</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="976410f50fa11be9550720b240987cf3"></a><!-- doxytag: member="Ogre::IOException::file" ref="976410f50fa11be9550720b240987cf3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Exception.html#976410f50fa11be9550720b240987cf3">Ogre::Exception::file</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00094">94</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="16d671f40618b5ca451a3bcb6c0004f8"></a><!-- doxytag: member="Ogre::IOException::fullDesc" ref="16d671f40618b5ca451a3bcb6c0004f8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Exception.html#16d671f40618b5ca451a3bcb6c0004f8">Ogre::Exception::fullDesc</a><code> [mutable, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00095">95</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreException_8h-source.html">OgreException.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:38 2008
</p>
</body>
</html>
